Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Interface FBObjectListener.StatementListener

All Known Implementing Classes:
  `InternalTransactionCoordinator`, `InternalTransactionCoordinator.AbstractTransactionCoordinator`

Enclosing class:
  FBObjectListener

public static interface FBObjectListener.StatementListener
Listener for the events generated by statements.

## Method Summary

Modifier and Type
Method
Description
`void`
`executionStarted(AbstractStatement stmt)`
Notify listener that statement execution is being started.
`FBConnection`
`getConnection()`
Get the connection object to which this listener belongs to.
`void`
`statementClosed(AbstractStatement stmt)`
Notify the listener that statement was closed.
`void`
`statementCompleted(AbstractStatement stmt)`
Notify the listener that statement is completed.
`void`
`statementCompleted(AbstractStatement stmt, boolean success)`
Notify the listener that statement is completed and tell whether execution was successful or not.

## Method Details

### getConnection

FBConnection getConnection() throws SQLException
Get the connection object to which this listener belongs to.

Returns:
  instance of `FBConnection`
Throws:
  `SQLException` - if something went wrong

### executionStarted

void executionStarted(AbstractStatement stmt) throws SQLException
Notify listener that statement execution is being started.

Parameters:
  `stmt` - statement that is being executed
Throws:
  `SQLException`

### statementClosed

void statementClosed(AbstractStatement stmt) throws SQLException
Notify the listener that statement was closed.

Parameters:
  `stmt` - statement that was closed
Throws:
  `SQLException`

### statementCompleted

void statementCompleted(AbstractStatement stmt) throws SQLException
Notify the listener that statement is completed. This is shortcut method for `statementCompleted(AbstractStatement, true)`.

Parameters:
  `stmt` - statement that was completed.
Throws:
  `SQLException`

### statementCompleted

void statementCompleted(AbstractStatement stmt, boolean success) throws SQLException
Notify the listener that statement is completed and tell whether execution was successful or not.

Parameters:
  `stmt` - statement that was completed
  `success` - `true` if completion was successful
Throws:
  `SQLException`